Subject: Re: bug#6693: 24.0.50; font-lock-(builtin|doc) faces are *way* too close

From: Chong Yidong <[email-masked]>
Date: Mon, 04 Jul 2011 01:27:14 -0400

"Drew Adams" <[email-masked]> writes:

> I mainly see font-lock with Emacs-Lisp code (in my use), and ther is
> nothing similar to midnight blue there.  On the other hand, midnight
> blue is not too different from black (the default foreground).

It is maybe a bit too dark.  So maybe something like royal blue is
preferable.

> Note that (at least in Emacs-Lisp code) this face is used for coloring
> only keywords: `:type', `:group' etc.  It is not for coloring large
> spans of text that someone needs to read.

There is no guarantee that this is always true, particularly since many
faces inherit from font lock faces.  So it is important for all the font
lock faces to be easily distinguished from the background.